package models

//轮播图
type SgjPatientRotation struct {
	ID             int64  `gorm:"column:id" json:"id" form:"id"`
	Title          string `gorm:"column:title" json:"title" form:"title"`
	Sort           int64  `gorm:"column:sort" json:"sort" form:"sort"`
	RotationImages string `gorm:"column:rotation_images" json:"rotation_images" form:"rotation_images"`
	UserOrgId      int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Ctime          int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime          int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status         int64  `gorm:"column:status" json:"status" form:"status"`
	ModelId        int64  `gorm:"column:model_id" json:"model_id" form:"model_id"`
}

func (SgjPatientRotation) TableName() string {
	return "sgj_patient_rotation"
}

type SgjPatientModel struct {
	ID        int64              `gorm:"column:id" json:"id" form:"id"`
	Title     string             `gorm:"column:title" json:"title" form:"title"`
	Sort      int64              `gorm:"column:sort" json:"sort" form:"sort"`
	Ctime     int64              `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime     int64              `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status    int64              `gorm:"column:status" json:"status" form:"status"`
	UserOrgId int64              `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	ModeType  int64              `gorm:"column:mode_type" json:"mode_type" form:"mode_type"`
	Hospitals SgjPatientHospital `gorm:"ForeignKey:Modleid"`
	Offices   SgjPatientOffices  `gorm:"ForeignKey:Modleid"`
	//Doctors     SgjPatientDocinfo `gorm:"ForeignKey:Modelid"`
	OfficeEnviroment SgjPatientOffenvironment `gorm:"ForeignKey:Modelid"`
	Editdoctor       []SgjPatientEditdoctor   `gorm:"ForeignKey:Modleid"`
	//Rotation     SgjPatientRotation  `gorm:"ForeignKey:ModelId"`
	//Macnavigation  SgjPatientMacnavigation `gorm:"ForeignKey:Modeid"`
	Addactivity        SgjPatientAddactivity    `gorm:"ForeignKey:Modeid"`
	Articlelist        SgjPatientArticlelist    `gorm:"ForeignKey:Modeid"`
	Editmargin         []SgjPatientEditmargin   `gorm:"ForeignKey:Modeid"`
	Enviroimages       []SgjPatientEnviroimages `gorm:"ForeignKey:Modeid"`
	PatientEditpiclink []SgjPatientEditpiclink  `gorm:"ForeignKey:Modeid"`
}

func (SgjPatientModel) TableName() string {
	return "sgj_patient_model"
}

type PatientModel struct {
	ID        int64  `gorm:"column:id" json:"id" form:"id"`
	Title     string `gorm:"column:title" json:"title" form:"title"`
	Sort      int64  `gorm:"column:sort" json:"sort" form:"sort"`
	Ctime     int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime     int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status    int64  `gorm:"column:status" json:"status" form:"status"`
	UserOrgId int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	ModeType  int64  `gorm:"column:mode_type" json:"mode_type" form:"mode_type"`
}

func (PatientModel) TableName() string {
	return "sgj_patient_model"
}

//医院介绍
type SgjPatientHospital struct {
	ID           int64  `gorm:"column:id" json:"id" form:"id"`
	Title        string `gorm:"column:title" json:"title" form:"title"`
	Sort         int64  `gorm:"column:sort" json:"sort" form:"sort"`
	Introduction string `gorm:"column:introduction" json:"introduction" form:"introduction"`
	Ctime        int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime        int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	UserOrgId    int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status       int64  `gorm:"column:status" json:"status" form:"status"`
	Modleid      int64  `gorm:"column:modleid" json:"modleid" form:"modleid"`
}

func (SgjPatientHospital) TableName() string {
	return "sgj_patient_hospital"
}

type SgjPatientEnviroimages struct {
	ID           int64  `gorm:"column:id" json:"id" form:"id"`
	Enviroimages string `gorm:"column:enviroimages" json:"enviroimages" form:"enviroimages"`
	Sort         int64  `gorm:"column:sort" json:"sort" form:"sort"`
	UserOrgId    int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status       int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime        int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime        int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Modeid       int64  `gorm:"column:modeid" json:"modeid" form:"modeid"`
	Imgshow      int64  `gorm:"column:imgshow" json:"imgshow" form:"imgshow"`
}

func (SgjPatientEnviroimages) TableName() string {

	return "sgj_patient_enviroimages"
}

//科室介绍
type SgjPatientOffices struct {
	ID           int64  `gorm:"column:id" json:"id" form:"id"`
	Title        string `gorm:"column:title" json:"title" form:"title"`
	Sort         int64  `gorm:"column:sort" json:"sort" form:"sort"`
	Introduction string `gorm:"column:introduction" json:"introduction" form:"introduction"`
	Mtime        int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Ctime        int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	UserOrgId    int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status       int64  `gorm:"column:status" json:"status" form:"status"`
	Modleid      int64  `gorm:"column:modleid" json:"modelid" form:"modelid"`
}

func (SgjPatientOffices) TableName() string {
	return "sgj_patient_offices"
}

//名医介绍
type SgjPatientDocinfo struct {
	ID        int64  `gorm:"column:id" json:"id" form:"id"`
	Title     string `gorm:"column:title" json:"title" form:"title"`
	Sort      int64  `gorm:"column:sort" json:"sort" form:"sort"`
	Docimages string `gorm:"column:docimages" json:"docimages" form:"docimages"`
	Ctime     int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime     int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status    int64  `gorm:"column:status" json:"status" form:"status"`
	UserOrgId int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Modelid   int64  `gorm:"column:modelid" json:"modelid" form:"modelid"`
}

func (SgjPatientDocinfo) TableName() string {

	return "sgj_patient_docinfo"
}

//编辑名医介绍
type SgjPatientEditdoctor struct {
	ID              int64  `gorm:"column:id" json:"id" form:"id"`
	DocPostion      int64  `gorm:"column:doc_postion" json:"doc_postion" form:"doc_postion"`
	Dochead         string `gorm:"column:dochead" json:"dochead" form:"dochead"`
	DocSort         int64  `gorm:"column:doc_sort" json:"doc_sort" form:"doc_sort"`
	Docintroduction string `gorm:"column:docintroduction" json:"docintroduction" form:"docintroduction"`
	UserOrgId       int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Ctime           int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime           int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status          int64  `gorm:"column:status" json:"status" form:"status"`
	DocName         string `gorm:"column:doc_name" json:"doc_name" form:"doc_name"`
	Modleid         int64  `gorm:"column:modleid" json:"modleid" form:"modleid"`
	ImgShow         int64  `gorm:"column:img_show" json:"img_show" form:"img_show"`
}

func (SgjPatientEditdoctor) TableName() string {

	return "sgj_patient_editdoctor"
}

// 科室环境
type SgjPatientOffenvironment struct {
	ID        int64  `gorm:"column:id" json:"id" form:"id"`
	Title     string `gorm:"column:title" json:"title" form:"title"`
	Sort      int64  `gorm:"column:sort" json:"sort" form:"sort"`
	Keimages  string `gorm:"column:keimages" json:"keimages" form:"keimages"`
	UserOrgId int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Ctime     int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime     int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status    int64  `gorm:"column:status" json:"status" form:"status"`
	Modelid   int64  `gorm:"column:modelid" json:"modelid" form:"modelid"`
}

func (SgjPatientOffenvironment) TableName() string {
	return "sgj_patient_offenvironment"
}

type SgjPatientConnection struct {
	ID        int64  `gorm:"column:id" json:"id" form:"id"`
	Title     string `gorm:"column:title" json:"title" form:"title"`
	Connecway int64  `gorm:"column:connecway" json:"connecway" form:"connecway"`
	Content   string `gorm:"column:content" json:"content" form:"content"`
	Status    int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime     int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime     int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	UserOrgId int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
}

func (SgjPatientConnection) TableName() string {

	return "sgj_patient_connection"
}

type SgjPatientConnecmodel struct {
	ID              int64  `gorm:"column:id" json:"id" form:"id"`
	Title           string `gorm:"column:title" json:"title" form:"title"`
	Sort            int64  `gorm:"column:sort" json:"sort" form:"sort"`
	RotationImages  string `gorm:"column:rotation_images" json:"rotation_images" form:"rotation_images"`
	HospitalAddress string `gorm:"column:hospital_address" json:"hospital_address" form:"hospital_address"`
	HospitalMap     string `gorm:"column:hospital_map" json:"hospital_map" form:"hospital_map"`
	ConnectionWay   string `gorm:"column:connection_way" json:"connection_way" form:"connection_way"`
	Worktime        string `gorm:"column:worktime" json:"worktime" form:"worktime"`
	Rideway         string `gorm:"column:rideway" json:"rideway" form:"rideway"`
	UserOrgId       int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status          int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime           int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime           int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	ModeType        int64  `gorm:"column:mode_type" json:"mode_type" form:"mode_type"`
}

func (SgjPatientConnecmodel) TableName() string {

	return "sgj_patient_connecmodel"
}

type SgjPatientNewmodel struct {
	ID                   int64  `gorm:"column:id" json:"id" form:"id"`
	Title                string `gorm:"column:title" json:"title" form:"title"`
	Sort                 int64  `gorm:"column:sort" json:"sort" form:"sort"`
	RotationImages       string `gorm:"column:rotation_images" json:"rotation_images" form:"rotation_images"`
	HospitalIntroduction string `gorm:"column:hospital_introduction" json:"hospital_introduction" form:"hospital_introduction"`
	OfficeIntroduction   string `gorm:"column:office_introduction" json:"office_introduction" form:"office_introduction"`
	DoctorImages         string `gorm:"column:doctor_images" json:"doctor_images" form:"doctor_images"`
	OfficeImages         string `gorm:"column:office_images" json:"office_images" form:"office_images"`
	UserOrgId            int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status               int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime                int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Docname              string `gorm:"column:docname" json:"docname" form:"docname"`
	Dochead              string `gorm:"column:dochead" json:"dochead" form:"dochead"`
	DocPositional        string `gorm:"column:doc_positional" json:"doc_positional" form:"doc_positional"`
	DocIntroduction      string `gorm:"column:doc_introduction" json:"doc_introduction" form:"doc_introduction"`
}

func (SgjPatientNewmodel) TableName() string {

	return "sgj_patient_newmodel"

}

type SgjPatientNavigation struct {
	ID          int64  `gorm:"column:id" json:"id" form:"id"`
	Navtitle    string `gorm:"column:navtitle" json:"navtitle" form:"navtitle"`
	Navimages   string `gorm:"column:navimages" json:"navimages" form:"navimages"`
	Jumpset     int64  `gorm:"column:jumpset" json:"jumpset" form:"jumpset"`
	Navaddress  string `gorm:"column:navaddress" json:"navaddress" form:"navaddress"`
	Ctime       int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime       int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status      int64  `gorm:"column:status" json:"status" form:"status"`
	UserOrgId   int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Linkid      int64  `gorm:"column:linkid" json:"linkid" form:"linkid"`
	Nonavimages string `gorm:"column:nonavimages" json:"nonavimages" form:"nonavimages"`
	Linktype    int64  `gorm:"column:linktype" json:"linktype" form:"linktype"`
}

func (SgjPatientNavigation) TableName() string {

	return "sgj_patient_navigation"
}

type SgjPatientShare struct {
	ID                int64  `gorm:"column:id" json:"id" form:"id"`
	ShareTitle        string `gorm:"column:share_title" json:"share_title" form:"share_title"`
	ShareIntroduction string `gorm:"column:share_introduction" json:"share_introduction" form:"share_introduction"`
	ShareImages       string `gorm:"column:share_images" json:"share_images" form:"share_images"`
	UserOrgId         int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Ctime             int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime             int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status            int64  `gorm:"column:status" json:"status" form:"status"`
}

func (SgjPatientShare) TableName() string {

	return "sgj_patient_share"
}

type SgjPatientOrdmodel struct {
	ID          int64                   `gorm:"column:id" json:"id" form:"id"`
	Title       string                  `gorm:"column:title" json:"title" form:"title"`
	Sort        int64                   `gorm:"column:sort" json:"sort" form:"sort"`
	Ctime       int64                   `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime       int64                   `gorm:"column:mtime" json:"mtime" form:"mtime"`
	UserOrgId   int64                   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status      int64                   `gorm:"column:status" json:"status" form:"status"`
	ModeType    int64                   `gorm:"column:mode_type" json:"mode_type" form:"mode_type"`
	Hosaddress  SgjPatientHosaddress    `gorm:"ForeignKey:Modeid"`
	Connectway  SgjPatientConnectway    `gorm:"ForeignKey:ModeId"`
	Worktime    SgjPatientWorktime      `gorm:"ForeignKey:ModeId"`
	Rideway     SgjPatientRideway       `gorm:"ForeignKey:ModeId"`
	Oldration   SgjPatientOldrotation   `gorm:"ForeignKey:ModeId"`
	Conrotation []SgjPatientConrotation `gorm:"ForeignKey:Modeid"`
}

func (SgjPatientOrdmodel) TableName() string {

	return "sgj_patient_ordmodel"
}

type SgjPatientConnectway struct {
	ID        int64  `gorm:"column:id" json:"id" form:"id"`
	Title     string `gorm:"column:title" json:"title" form:"title"`
	UserOrgId int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Ctime     int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime     int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status    int64  `gorm:"column:status" json:"status" form:"status"`
	Sort      int64  `gorm:"column:sort" json:"sort" form:"sort"`
	ModeId    int64  `gorm:"column:mode_id" json:"mode_id" form:"mode_id"`
}

func (SgjPatientConnectway) TableName() string {

	return "sgj_patient_connectway"
}

type SgjPatientWorktime struct {
	ID        int64  `gorm:"column:id" json:"id" form:"id"`
	Title     string `gorm:"column:title" json:"title" form:"title"`
	Sort      int64  `gorm:"column:sort" json:"sort" form:"sort"`
	Worktime  string `gorm:"column:worktime" json:"worktime" form:"worktime"`
	UserOrgId int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	ModeId    int64  `gorm:"column:mode_id" json:"mode_id" form:"mode_id"`
	Status    int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime     int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime     int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
}

func (SgjPatientWorktime) TableName() string {

	return "sgj_patient_worktime"
}

type SgjPatientRideway struct {
	ID        int64  `gorm:"column:id" json:"id" form:"id"`
	Title     string `gorm:"column:title" json:"title" form:"title"`
	Sort      int64  `gorm:"column:sort" json:"sort" form:"sort"`
	RideWay   string `gorm:"column:ride_way" json:"ride_way" form:"ride_way"`
	Ctime     int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime     int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status    int64  `gorm:"column:status" json:"status" form:"status"`
	UserOrgId int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	ModeId    int64  `gorm:"column:mode_id" json:"mode_id" form:"mode_id"`
}

func (SgjPatientRideway) TableName() string {

	return "sgj_patient_rideway"
}

type SgjPatientConrotation struct {
	ID          int64  `gorm:"column:id" json:"id" form:"id"`
	Images      string `gorm:"column:images" json:"images" form:"images"`
	Sort        int64  `gorm:"column:sort" json:"sort" form:"sort"`
	Piclink     int64  `gorm:"column:piclink" json:"piclink" form:"piclink"`
	Linkaddress string `gorm:"column:linkaddress" json:"linkaddress" form:"linkaddress"`
	Status      int64  `gorm:"column:status" json:"status" form:"status"`
	UserOrgId   int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Ctime       int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime       int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Modeid      int64  `gorm:"column:modeid" json:"modeid" form:"modeid"`
	ImgShow     int64  `gorm:"column:img_show" json:"img_show" form:"img_show"`
	Linkid      int64  `gorm:"column:linkid" json:"linkid" form:"linkid"`
}

func (SgjPatientConrotation) TableName() string {

	return "sgj_patient_conrotation"
}

type SgjPatientOldrotation struct {
	ID             int64  `gorm:"column:id" json:"id" form:"id"`
	Title          string `gorm:"column:title" json:"title" form:"title"`
	Sort           int64  `gorm:"column:sort" json:"sort" form:"sort"`
	RotationImages string `gorm:"column:rotation_images" json:"rotation_images" form:"rotation_images"`
	UserOrgId      int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	ModeId         int64  `gorm:"column:mode_id" json:"mode_id" form:"mode_id"`
	Status         int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime          int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime          int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
}

func (SgjPatientOldrotation) TableName() string {

	return "sgj_patient_oldrotation"
}

type SgjPatientEditpiclink struct {
	ID          int64  `gorm:"column:id" json:"id" form:"id"`
	Images      string `gorm:"column:images" json:"images" form:"images"`
	Sort        int64  `gorm:"column:sort" json:"sort" form:"sort"`
	Piclink     int64  `gorm:"column:piclink" json:"piclink" form:"piclink"`
	Linkaddress string `gorm:"column:linkaddress" json:"linkaddress" form:"linkaddress"`
	UserOrgId   int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status      int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime       int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime       int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Modeid      int64  `gorm:"column:modeid" json:"modeid" form:"modeid"`
	ImgShow     int64  `gorm:"column:img_show" json:"img_show" form:"img_show"`
	Linkid      int64  `gorm:"column:linkid" json:"linkid" form:"linkid"`
}

func (SgjPatientEditpiclink) TableName() string {

	return "sgj_patient_editpiclink"
}

type SgjPatientEditmargin struct {
	ID            int64  `gorm:"column:id" json:"id" form:"id"`
	Margtitle     string `gorm:"column:margtitle" json:"margtitle" form:"margtitle"`
	Margimage     string `gorm:"column:margimage" json:"margimage" form:"margimage"`
	Marginaddress string `gorm:"column:marginaddress" json:"marginaddress" form:"marginaddress"`
	Jumpset       int64  `gorm:"column:jumpset" json:"jumpset" form:"jumpset"`
	UserOrgId     int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status        int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime         int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime         int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	ImgShow       int64  `gorm:"column:img_show" json:"img_show" form:"img_show"`
	Modeid        int64  `gorm:"column:modeid" json:"modeid" form:"modeid"`
	Linkid        int64  `gorm:"column:linkid" json:"linkid" form:"linkid"`
}

func (SgjPatientEditmargin) TableName() string {

	return "sgj_patient_editmargin"
}

type SgjPatientMacnavigation struct {
	ID        int64  `gorm:"column:id" json:"id" form:"id"`
	Title     string `gorm:"column:title" json:"title" form:"title"`
	Sort      int64  `gorm:"column:sort" json:"sort" form:"sort"`
	MacImages string `gorm:"column:mac_images" json:"mac_images" form:"mac_images"`
	Modeid    int64  `gorm:"column:modeid" json:"modeid" form:"modeid"`
	Ctime     int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime     int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status    int64  `gorm:"column:status" json:"status" form:"status"`
	UserOrgId int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	MacTitles string `gorm:"column:mac_titles" json:"mac_titles" form:"mac_titles"`
}

func (SgjPatientMacnavigation) TableName() string {

	return "sgj_patient_macnavigation"
}

type SgjPatientHosaddress struct {
	ID        int64  `gorm:"column:id" json:"id" form:"id"`
	Title     string `gorm:"column:title" json:"title" form:"title"`
	Sort      int64  `gorm:"column:sort" json:"sort" form:"sort"`
	Address   string `gorm:"column:address" json:"address" form:"address"`
	UserOrgId int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status    int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime     int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime     int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Modeid    int64  `gorm:"column:modeid" json:"modeid" form:"modeid"`
}

func (SgjPatientHosaddress) TableName() string {

	return "sgj_patient_hosaddress"
}

type SgjPatientAddactivity struct {
	ID        int64  `gorm:"column:id" json:"id" form:"id"`
	Title     string `gorm:"column:title" json:"title" form:"title"`
	Sort      int64  `gorm:"column:sort" json:"sort" form:"sort"`
	Number    int64  `gorm:"column:number" json:"number" form:"number"`
	UserOrgId int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status    int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime     int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime     int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Modeid    int64  `gorm:"column:modeid" json:"modeid" form:"modeid"`
}

func (SgjPatientAddactivity) TableName() string {

	return "sgj_patient_addactivity"
}

type SgjPatientArticlelist struct {
	ID          int64  `gorm:"column:id" json:"id" form:"id"`
	Title       string `gorm:"column:title" json:"title" form:"title"`
	Sort        int64  `gorm:"column:sort" json:"sort" form:"sort"`
	Category    int64  `gorm:"column:category" json:"category" form:"category"`
	Categoryone int64  `gorm:"column:categoryone" json:"categoryone" form:"categoryone"`
	Number      int64  `gorm:"column:number" json:"number" form:"number"`
	Status      int64  `gorm:"column:status" json:"status" form:"status"`
	UserOrgId   int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Ctime       int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime       int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Modeid      int64  `gorm:"column:modeid" json:"modeid" form:"modeid"`
}

func (SgjPatientArticlelist) TableName() string {

	return "sgj_patient_articlelist"
}

type SgjPatientLinkaddress struct {
	ID            int64  `gorm:"column:id" json:"id" form:"id"`
	Defineaddress string `gorm:"column:defineaddress" json:"defineaddress" form:"defineaddress"`
	UserOrgId     int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status        int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime         int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime         int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
}

func (SgjPatientLinkaddress) TableName() string {

	return "sgj_patient_linkaddress"
}

type SgjPatientConlinkaddress struct {
	ID            int64  `gorm:"column:id" json:"id" form:"id"`
	UserOrgId     int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Defineaddress string `gorm:"column:defineaddress" json:"defineaddress" form:"defineaddress"`
	Ctime         int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime         int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status        int64  `gorm:"column:status" json:"status" form:"status"`
}

func (SgjPatientConlinkaddress) TableName() string {

	return "sgj_patient_conlinkaddress"
}

type SgjPatientMagiclink struct {
	ID             int64  `gorm:"column:id" json:"id" form:"id"`
	UserOrgId      int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Linktype       int64  `gorm:"column:linktype" json:"linktype" form:"linktype"`
	Instationlink  int64  `gorm:"column:instationlink" json:"instationlink" form:"instationlink"`
	Phone          string `gorm:"column:phone" json:"phone" form:"phone"`
	Outstationlink string `gorm:"column:outstationlink" json:"outstationlink" form:"outstationlink"`
	Ctime          int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime          int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status         int64  `gorm:"column:status" json:"status" form:"status"`
	Linkaddress    string `gorm:"column:linkaddress" json:"linkaddress" form:"linkaddress"`
}

func (SgjPatientMagiclink) TableName() string {

	return "sgj_patient_magiclink"
}

type PatientNavgationlink struct {
	ID               int64  `gorm:"column:id" json:"id" form:"id"`
	Phone            string `gorm:"column:phone" json:"phone" form:"phone"`
	Outstationlink   string `gorm:"column:outstationlink" json:"outstationlink" form:"outstationlink"`
	UserOrgId        int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status           int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime            int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime            int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Linkaddress      string `gorm:"column:linkaddress" json:"linkaddress" form:"linkaddress"`
	Instationlink    int64  `gorm:"column:instationlink" json:"instationlink" form:"instationlink"`
	Linktype         int64  `gorm:"column:linktype" json:"linktype" form:"linktype"`
	Navitionlinktype int64  `gorm:"column:navitionlinktype" json:"navitionlinktype" form:"navitionlinktype"`
}

func (PatientNavgationlink) TableName() string {
	return "sgj_patient_navgationlink"
}

type OrgInfo struct {
	ID              int64
	OrgIntroduction string
	Telephone       string
	Address         string
}
